Main Page Class Hierarchy Compound List File List Compound Members

# EMF::EMRARCTO Class Reference

EMF Arc To. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRARCTO::

List of all members.

## Public Methods
| EMRARCTO (INT left, INT top, INT right, INT bottom, INT xstart, INT ystart, INT xend, INT yend)
| EMRARCTO (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *, HDC dc) const

## Detailed Description

EMF Arc To.

Draw another arc. Not sure what the specification here means, though.

## Constructor & Destructor Documentation

EMF::EMRARCTO::EMRARCTO ( | INT left,
| INT top,
| INT right,
| INT bottom,
| INT xstart,
| INT ystart,
| INT xend,
| INT yend )`[inline]`

  | Take these descriptions with a grain of salt... Parameters:
  left | x position of left edge of arc box.
  top | y position of top edge of arc box.
  right | x position of right edge of arc box.
  bottom | y position bottom edge of arc box.
  xstart | x position of arc start.
  ystart | y position of arc start.
  xend | x position of arc end.
  yend | y position of arc end.

EMF::EMRARCTO::EMRARCTO ( | DATASTREAM & ds )`[inline]`

  | Construct an ArcTo record from the input stream. Parameters:
  ds | Metafile datastream.

## Member Function Documentation

void EMF::EMRARCTO::execute ( | METAFILEDEVICECONTEXT * source,
| HDC dc ) const`[inline, virtual]`

  | Execute this record in the context of the given device context. Parameters:
  source | the device context from which this record is taken.
  dc | device context for execute.
Reimplemented from EMF::METARECORD.

bool EMF::EMRARCTO::serialize ( | DATASTREAM ds )`[inline, virtual]`

  | Parameters:
  fp | Metafile file handle.
Reimplemented from EMF::METARECORD.

int EMF::EMRARCTO::size ( | void ) const`[inline, virtual]`

| Internally computed size of this record. Reimplemented from EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h